!
! Der Funktionswert eines Polynoms f an der Stelle x
! wert = f0 . x^0 + f1 . x^1 + ... + fn . x^n =
!      = (f0,f1,..,fn) . (x^0,..x^n) (= Skalarprodukt)
!

REAL FUNCTION funktionswert(f,x)
 IMPLICIT NONE
 REAL :: f(0:), x
 INTEGER :: i
 IF (ABS(x) <= TINY(x)) THEN
  funktionswert = f(0)
 ELSE
  funktionswert = DOT_PRODUCT(f(0:SIZE(f)-1), (/ (x**i, i=0,SIZE(f)-1) /))
 ENDIF
END FUNCTION
